ProjectNature
Keywords: org.eclipse.cdt.managedbuilder.llvm.ui.ProjectNature class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.cdt.managedbuilder.llvm.ui
Class ProjectNature

    java.lang.Object
      org.eclipse.cdt.managedbuilder.llvm.ui.ProjectNature

All Implemented Interfaces:
  org.eclipse.core.resources.IProjectNature

    public class ProjectNature

extends java.lang.Object
implements org.eclipse.core.resources.IProjectNature

Implements project nature for LLVM projects.

Field Summary
`private org.eclipse.core.resources.IProject` | `project`

Constructor Summary
`ProjectNature()`

Method Summary
`void` | `configure()` Configure the project which have this project nature.
`void` | `deconfigure()` Deconfigure those projects which have this project nature.
`org.eclipse.core.resources.IProject` | `getProject()` Return the project.
`void` | `setProject(org.eclipse.core.resources.IProject proj)` Set the project.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### project

    private org.eclipse.core.resources.IProject project

Constructor Detail

### ProjectNature

    public ProjectNature()

Method Detail

### configure

    public void configure()
                   throws org.eclipse.core.runtime.CoreException

  Configure the project which have this project nature.

  Specified by:
    `configure` in interface `org.eclipse.core.resources.IProjectNature`
  Throws:
    `org.eclipse.core.runtime.CoreException`

### deconfigure

    public void deconfigure()
                     throws org.eclipse.core.runtime.CoreException

  Deconfigure those projects which have this project nature.

  Specified by:
    `deconfigure` in interface `org.eclipse.core.resources.IProjectNature`
  Throws:
    `org.eclipse.core.runtime.CoreException`

### getProject

    public org.eclipse.core.resources.IProject getProject()

  Return the project.

  Specified by:
    `getProject` in interface `org.eclipse.core.resources.IProjectNature`
  Returns:
    IProject

### setProject

    public void setProject(org.eclipse.core.resources.IProject proj)

  Set the project.

  Specified by:
    `setProject` in interface `org.eclipse.core.resources.IProjectNature`
  Parameters:
    `proj` - IProject

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD